Package org.apache.sling.testing.serversetup.instance

## Interface SlingInstance

All Known Implementing Classes:
  `SlingTestBase`

    public interface SlingInstance

Interface used to communicate with a sling instance

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getServerBaseUrl()` Start server if needed, and return its base URL
`String` `getServerPassword()` Return password configured for execution of HTTP requests
`String` `getServerUsername()` Return username configured for execution of HTTP requests
`org.apache.sling.testing.clients.SlingClient` `getSlingClient()` Returns a SlingClient for this server

### Method Detail

#### getServerBaseUrl

    String getServerBaseUrl()

Start server if needed, and return its base URL

#### getServerUsername

    String getServerUsername()

Return username configured for execution of HTTP requests

#### getServerPassword

    String getServerPassword()

Return password configured for execution of HTTP requests

#### getSlingClient

    org.apache.sling.testing.clients.SlingClient getSlingClient()

Returns a SlingClient for this server